29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
TLS certificates
v1.6.2
Download OpenAPI
Create TLS organization
Create a DigiCert-backed TLS organization including the local contact record used for OV or EV certificate ordering.
POST
/tls/organization
TLSOrganizations

Authentication

x-api-keyapplication/json

Request body

application/jsonRequired
TLS organization payload
tlsOrganizationCreateRequest
tlsOrganizationCreateRequest
{
  "organization": "example",
  "first_name": "example",
  "last_name": "example",
  "address": "example",
  "postal_code": "example",
  "city": "example",
  "country_code": "example",
  "phone": "example",
  "email": "example"
}

Fields

Name
Type
Format
Required
Description
organization
string
-
Required
-
first_name
string
-
Required
-
last_name
string
-
Required
-
address
string
-
Required
-
postal_code
string
-
Required
-
city
string
-
Required
-
country_code
string
-
Required
-
phone
string
-
Required
-
email
string
-
Required
-

Request example

POST
curl --request POST \
  --url 'https://api.regfish.com/tls/organization' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "organization": "example",
  "first_name": "example",
  "last_name": "example",
  "address": "example",
  "postal_code": "example",
  "city": "example",
  "country_code": "example",
  "phone": "example",
  "email": "example"
}'

Responses

200
TLS organization created
application/jsontlsOrganizationResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "hdl_7K9QW3M2ZT8HJ",
    "organization": "example",
    "status": "ready",
    "usable_for_ordering": true,
    "first_name": "example",
    "last_name": "example",
    "address": "example",
    "postal_code": "example",
    "city": "example",
    "country_code": "example",
    "phone": "example",
    "email": "example"
  }
}
400
Invalid request payload
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request payload",
  "error": "Invalid request payload"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
502
Upstream TLS provider error
application/jsonError
Response example 502
{
  "success": false,
  "message": "Upstream TLS provider error",
  "error": "Upstream TLS provider error"
}
Community

Diventa parte della comunità

L'API DNS Regfish è un'ottima soluzione per gli sviluppatori che desiderano automatizzare domini e zone DNS. Entra a far parte della community e beneficia dell'automazione DNS. L'API DNS è disponibile gratuitamente per ogni cliente Regfish.